DavenDaven Documentation
APIAPI ReferenceATSJob Offer Attributes

Create job offer attributes

POST
/ats/job-offers/{id}/attributes

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Job offer attribute DTO - The data transfer object for job offer attributes

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ats/job-offers/0/attributes" \  -H "Content-Type: application/json" \  -d '[    {      "name": "location",      "value": "Paris"    }  ]'
{
  "message": "string"
}
{
  "message": "string",
  "data": [
    {
      "name": "location",
      "value": "Paris"
    }
  ]
}
{
  "message": "string",
  "data": [
    {
      "name": "location",
      "value": "Paris"
    }
  ],
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}